function help()
   print
   [[
         Grid and Geometry viewer for pdelib2.
Usage: 
   [pdelib2] gview inputfile(s) [assignments|switches]

Input: 
   inputfile must be one of .grid, .xgrid, .ele, .sg, psg, .lua

   If the input file type is .grid, .lua, or then any valid Lua script
   returning a grid or a geometry description is expected.  The viewer
   automatically    discriminates    between    grid    or    geometry
   description. If  a geometry description  is given, it uses  the the
   geometry description viewer (e.g.  tetview in 3D), unless the -grid
   flag has been invoked.

COMMAND LINE SWITCHES

   -h: Help.
   -q: Quiet.
   -grid: Force grid generation and grid view for geometry descriptions    

COMMAND LINE  ASSIGNMENTS
    w= nnn Window witdh
    h= nnn window height

COMMAND LINE FILES
    All files given  on the command line are viewed one after another
   ]]
   os.exit()   
end




w=800
h=600
processargs(arg)

if arg.switches.h then help() end 
if arg.switches.V then arg.switches.q=nil end



if arg.w then w=arg.w end 
if arg.h then w=arg.h end 

viewer=glViewer{title="pdelib2 gview", w=w,h=h}
glvSetPersistentWindowSize(viewer,"winpos_main_gview_lua")

if arg.values.colors then
   colortable=Array{file=arg.values.colors}
   assert(da2NCol(colortable)==3)
   for i=1,da2NCol(colortable) do
      glvSetColor(viewer,i,colortable[i][1],colortable[i][2],colortable[i][3])
   end
end


for ifile=1,table.getn(arg.files) do
   inputfile=arg.files[ifile]
   basename,ext=splitfilename(inputfile)

   if not arg.switches.grid and (ext=="grid" or ext=="lua") then
      xgrid=dofile(inputfile)
   else
      xgrid=gRead(inputfile)
   end
  
   if not xgrid then error("Unable to read "..inputfile) end
   
   if istype(xgrid,"Grid") then
      glvSetLabel(viewer,inputfile)
      gPrintStatus(xgrid)
      hmax=gHMax(xgrid)
      print("region  hmax")
      for i=1,da1NRow(hmax) do
         print(i, hmax[i])
      end
         gView(viewer,xgrid)
   else
      xgrid=GridGenIO(xgrid)
      glvSetLabel(viewer,inputfile)
      ggView(viewer,xgrid)
   end
   
   glvWait()
end




